
import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;


public class PageViewFrame extends JFrame
{
	public PageViewFrame(int offsetX, int offsetY)
	{
		Container cp = getContentPane();
		
		layout = new GridLayout(1,1);
		
		
		//
		// textArea
		//
		textArea = new JTextArea();
		textArea.setName("textArea");
		
		scrPane = new JScrollPane(textArea);
		
		cp.setLayout(layout);
		cp.add(scrPane);
		
		this.setLocation(offsetX, offsetY);
		this.setSize(300, 600);
		this.setVisible(true);
		
		this.addWindowListener(new WindowAdapter(){
			public void windowClosing(WindowEvent e){
				setDefaultCloseOperation(PageViewFrame.DISPOSE_ON_CLOSE);
			}
		});
	}
	
	JTextArea textArea;
	private JScrollPane scrPane;
	private GridLayout layout;
}
