var files = Array(
	"start.htm",
	"LaneDiagram.htm",
	"Chemistry.htm",
	"Classification%20chart.htm",
	"NetDiagram.htm",
	"Overview.htm",
	"ShapeListBox.htm",
	"Routing.htm",
	"GridLayout.htm",
	"LayeredLayout.htm",
	"SpringLayout.htm",
	"TreeLayout.htm",
	"AnnealLayout.htm",
	"CircularLayout.htm",
	"OrthogonalLayout.htm",
	"Grouping.htm",
	"Shapes.htm",
	"Heads.htm"
);

var titles = Array(
	"FlowChart",
	"LaneDiagram",
	"Chemistry synthesis tree",
	"Classification chart",
	"NetDiagram",
	"Overview",
	"ShapeListBox",
	"Routing",
	"Grid Layout",
	"Layered Layout",
	"Spring Layout",
	"Tree Layout",
	"Anneal Layout",
	"CircularLayout",
	"OrthogonalLayout",
	"Grouping",
	"Complex box shapes",
	"Heads"
);

var ssIndex = 1;

function getIdd(fileName)
{
	switch (fileName)
	{
		case "start.htm":
			return 0;
		case "LaneDiagram.htm":
			return 1;
		case "Chemistry.htm":
			return 2;
		case "Classification%20chart.htm":
			return 3;
		case "NetDiagram.htm":
			return 4;
		case "Overview.htm":
				return 5;
		case "ShapeListBox.htm":
				return 6;
		case "Routing.htm":
				return 7;
		case "GridLayout.htm":
				return 8;
		case "LayeredLayout.htm":
				return 9;
		case "SpringLayout.htm":
				return 10;
		case "TreeLayout.htm":
				return 11;
		case "AnnealLayout.htm":
				return 12;
		case "CircularLayout.htm":
				return 13;
		case "OrthogonalLayout.htm":
				return 14;
		case "Grouping.htm":
				return 15;
		case "Shapes.htm":
				return 16;
		case "Heads.htm":
				return 17;
	}
}

function onNext()
{
	if (idd >= files.length - 1)
		return;

	location = files[++idd];
}

function goTo(pos)
{
	location = files[pos];
}

function onPrevious()
{
	if (idd < 1)
		return;

	location = files[--idd];
}

function getIdentifier(idd)
{
	var i = 0;
	for (i = 0; i < titles.length; i++)
	{
		if (name == titles[i])
			return i;
	}

	return -1;
}

var pageSelectorEl;

function load()
{
	pageSelectorEl = document.getElementById("pageSelector");
	for (pi = 0; pi < files.length; pi++)
	{
		try
		{
			pageSelectorEl[pi] = new Option(titles[pi]);
		}
		catch(ex){
			pageSelectorEl.add(titles[pi]);
		}
	}
	
	counter++;
	updateSelector(ssIndex);
}

function updateSelector(selIndex)
{
	ssIndex = selIndex;
	
	if (counter < 2)
		return;

	pageSelectorEl.selectedIndex = selIndex;
	document.title = "MindFusion - JDiagram - " + titles[selIndex];
}

window.onload = load;